Configuration
This method is used to change the configuration GBDS RDB.
Body
applicationstring · enumOptionalPossible values:
Configuration mode for the application.
configurationsobjectOptional
Dictionary of configuration parameters and default values. It can contain multiple unique parameters as Strings.
Responses
200
OK
application/json
objectOptional
400
Validation Error
application/json
500
Internal error
application/json
post/configuration
POST /gbds/v2/configuration HTTP/1.1
Host: <ip>:8085
Content-Type: application/json
Accept: */*
Content-Length: 112
{
"application": "GBDS_API",
"configurations": {
"gbscluster.min.quality": "50",
"gbscluster.update.min.quality": "50"
}
}{}Retrieves configuration values of the indicated type (API, DRIVER or both), allowing one to know configurable system parameters.
Path parameters
settingTypestring · enumRequiredPossible values:
Responses
200
OK
application/json
get/configuration/{settingType}
GET /gbds/v2/configuration/{settingType} HTTP/1.1
Host: <ip>:8085
Accept: */*
200
OK
{
"configurations": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"httpResponse": {
"httpCode": 1,
"body": "text"
}
}Last updated
Was this helpful?

